local Rx = require 'Rx'
local enumerableOf = Rx.internals.Enumerable.of

--------------------------------------------------------------------------------

return function(...)

    local source = { n = select('#', ...), ... }
    return enumerableOf(source):concat()

end
